From 0fb93828351f0e61a6bee52608a39c72b0ecd596 Mon Sep 17 00:00:00 2001
From: buildmaster
Date: Mon, 29 Apr 2019 14:48:51 +0000
Subject: [PATCH] Sync docs from master to gh-pages
---
spring-cloud-build.html | 3 +++
update-guides.sh | 4 ++--
2 files changed, 5 insertions(+), 2 deletions(-)
diff --git a/spring-cloud-build.html b/spring-cloud-build.html
index 2234c881..fe8251ed 100644
--- a/spring-cloud-build.html
+++ b/spring-cloud-build.html
@@ -587,6 +587,9 @@ correspond to the following guides in Spring Guides org.
You can skip this by either not adding the guides profile, or passing the -DskipGuides system property when the profile is turned on.
+
+
You can configure the project version passed to guides via the guides-project.version (defaults to ${project.version}). The phase at which guides get updated can be configured by guides-update.phase (defaults to deploy).
+
diff --git a/update-guides.sh b/update-guides.sh
index def8399c..e575ee2c 100644
--- a/update-guides.sh
+++ b/update-guides.sh
@@ -57,8 +57,8 @@ function iterate_over_guides() {
function commit_and_push_new_guide_contents() {
"${GIT_BIN}" add .
- "${GIT_BIN}" commit -m "Updating guides"
- "${GIT_BIN}" push origin master
+ "${GIT_BIN}" commit -m "Updating guides" || echo "Nothing to commit"
+ "${GIT_BIN}" push origin master || echo "Nothing to push"
}
function copy_new_guide() {